---
lang: en
title: 'API docs: rest.getfromcontextprovider.action'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.getfromcontextprovider.action.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [GetFromContextProvider](./rest.getfromcontextprovider.md) &gt; [action](./rest.getfromcontextprovider.action.md)

## GetFromContextProvider.action() method

<b>Signature:</b>

```typescript
action(key: string): Promise<BoundValue>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | <code>string</code> |  |

<b>Returns:</b>

`Promise<BoundValue>`


